# ibm_sa_domain – Manages domains on IBM Spectrum Accelerate Family storage systems

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to add domains to or removes them from IBM Spectrum Accelerate Family storage systems.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7
- pyxcli

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
domain - / required |  | Name of the domain to be managed.
endpoints string / required |  | The hostname or management IP of Spectrum Accelerate storage system.
hard_capacity - |  | Hard capacity of the domain.
ldap_id - |  | ldap id to add to the domain.
max_cgs - |  | Number of max cgs.
max_dms - |  | Number of max dms.
max_mirrors - |  | Number of max_mirrors.
max_pools - |  | Number of max_pools.
max_volumes - |  | Number of max_volumes.
password string / required |  | Password for username on the spectrum accelerate storage system.
perf_class - |  | Add the domain to a performance class.
size - |  | Size of the domain.
soft_capacity - |  | Soft capacity of the domain.

state
- / required

Choices:
- present ←
- absent

The desired state of the domain.

username string / required |  | Management user on the spectrum accelerate storage system.

## Notes

Note

- This module requires pyxcli python library. Use ‘pip install pyxcli’ in order to get pyxcli.

## Examples

    - name: Define new domain.
      ibm_sa_domain:
        domain: domain_name
        size: domain_size
        state: present
        username: admin
        password: secret
        endpoints: hostdev-system

    - name: Delete domain.
      ibm_sa_domain:
        domain: domain_name
        state: absent
        username: admin
        password: secret
        endpoints: hostdev-system

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | as needed | module return status. Sample: domain 'domain_name' created successfully.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Tzur Eliyahu (@tzure)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.